package com.example.springboot.service;

import org.springframework.security.core.userdetails.UserDetailsService;

public interface AuthorizeService extends UserDetailsService {
    String sendValidateEmail(String email, String sessionsId, boolean hasAccount);
    String vaildateAndRegister(String username, String password, String email, String code, String sessionId);
    String vaildateOnly(String email, String code, String sessionId);
    boolean resetPassword(String password, String email);
}
